Apache Tomcat 7.0.42

## org.apache.tomcat.jdbc.pool
Class XADataSource

    java.lang.Object
      org.apache.tomcat.jdbc.pool.DataSourceProxy
          org.apache.tomcat.jdbc.pool.DataSource
              org.apache.tomcat.jdbc.pool.XADataSource

All Implemented Interfaces:
  Wrapper, MBeanRegistration, CommonDataSource, ConnectionPoolDataSource, DataSource, XADataSource, ConnectionPoolMBean, PoolConfiguration

    public class XADataSource

extends DataSource
implements XADataSource

Field Summary

Fields inherited from class org.apache.tomcat.jdbc.pool.DataSource
`oname`

Fields inherited from class org.apache.tomcat.jdbc.pool.DataSourceProxy
`pool, poolProperties`

Fields inherited from interface org.apache.tomcat.jdbc.pool.PoolConfiguration
`PKG_PREFIX`

Constructor Summary
`XADataSource()` Constructor for reflection only.
`XADataSource(PoolConfiguration poolProperties)` Constructs a DataSource object wrapping a connection

Method Summary

Methods inherited from class org.apache.tomcat.jdbc.pool.DataSource
`createObjectName, postDeregister, postRegister, preDeregister, preRegister, registerJmx, unregisterJmx`

Methods inherited from class org.apache.tomcat.jdbc.pool.DataSourceProxy

`checkAbandoned, checkIdle, close, close, createPool, getAbandonWhenPercentageFull, getActive, getCommitOnReturn, getConnection, getConnection, getConnectionAsync, getConnectionProperties, getDataSource, getDataSourceJNDI, getDbProperties, getDefaultAutoCommit, getDefaultCatalog, getDefaultReadOnly, getDefaultTransactionIsolation, getDriverClassName, getIdle, getInitialSize, getInitSQL, getJdbcInterceptors, getJdbcInterceptorsAsArray, getLoginTimeout, getLogValidationErrors, getLogWriter, getMaxActive, getMaxAge, getMaxIdle, getMaxWait, getMinEvictableIdleTimeMillis, getMinIdle, getName, getNumActive, getNumIdle, getNumTestsPerEvictionRun, getParentLogger, getPassword, getPool, getPooledConnection, getPooledConnection, getPoolName, getPoolProperties, getPoolSize, getPropagateInterruptState, getRemoveAbandonedTimeout, getRollbackOnReturn, getSize, getSuspectTimeout, getTimeBetweenEvictionRunsMillis, getUrl, getUseDisposableConnectionFacade, getUseLock, getUsername, getValidationInterval, getValidationQuery, getValidator, getValidatorClassName, getWaitCount, getXAConnection, getXAConnection, isAccessToUnderlyingConnectionAllowed, isAlternateUsernameAllowed, isDefaultAutoCommit, isDefaultReadOnly, isFairQueue, isJmxEnabled, isLogAbandoned, isPoolSweeperEnabled, isRemoveAbandoned, isTestOnBorrow, isTestOnConnect, isTestOnReturn, isTestWhileIdle, isUseEquals, isWrapperFor, purge, purgeOnReturn, setAbandonWhenPercentageFull, setAccessToUnderlyingConnectionAllowed, setAlternateUsernameAllowed, setCommitOnReturn, setConnectionProperties, setDataSource, setDataSourceJNDI, setDbProperties, setDefaultAutoCommit, setDefaultCatalog, setDefaultReadOnly, setDefaultTransactionIsolation, setDriverClassName, setFairQueue, setInitialSize, setInitSQL, setJdbcInterceptors, setJmxEnabled, setLogAbandoned, setLoginTimeout, setLogValidationErrors, setLogWriter, setMaxActive, setMaxAge, setMaxIdle, setMaxWait, setMinEvictableIdleTimeMillis, setMinIdle, setName, setNumTestsPerEvictionRun, setPassword, setPoolProperties, setPropagateInterruptState, setRemoveAbandoned, setRemoveAbandonedTimeout, setRollbackOnReturn, setSuspectTimeout, setTestOnBorrow, setTestOnConnect, setTestOnReturn, setTestWhileIdle, setTimeBetweenEvictionRunsMillis, setUrl, setUseDisposableConnectionFacade, setUseEquals, setUseLock, setUsername, setValidationInterval, setValidationQuery, setValidator, setValidatorClassName, testIdle, toString, unwrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.sql.XADataSource
`getXAConnection, getXAConnection`

Methods inherited from interface javax.sql.CommonDataSource
`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Methods inherited from interface javax.sql.DataSource
`getConnection, getConnection`

Methods inherited from interface java.sql.Wrapper
`isWrapperFor, unwrap`

Methods inherited from interface org.apache.tomcat.jdbc.pool.jmx.ConnectionPoolMBean
`checkAbandoned, checkIdle, getActive, getIdle, getNumActive, getNumIdle, getSize, getWaitCount, purge, purgeOnReturn, testIdle`

Methods inherited from interface org.apache.tomcat.jdbc.pool.PoolConfiguration

`getAbandonWhenPercentageFull, getCommitOnReturn, getConnectionProperties, getDataSource, getDataSourceJNDI, getDbProperties, getDefaultAutoCommit, getDefaultCatalog, getDefaultReadOnly, getDefaultTransactionIsolation, getDriverClassName, getInitialSize, getInitSQL, getJdbcInterceptors, getJdbcInterceptorsAsArray, getLogValidationErrors, getMaxActive, getMaxAge, getMaxIdle, getMaxWait, getMinEvictableIdleTimeMillis, getMinIdle, getName, getNumTestsPerEvictionRun, getPassword, getPoolName, getPropagateInterruptState, getRemoveAbandonedTimeout, getRollbackOnReturn, getSuspectTimeout, getTimeBetweenEvictionRunsMillis, getUrl, getUseDisposableConnectionFacade, getUseLock, getUsername, getValidationInterval, getValidationQuery, getValidator, getValidatorClassName, isAccessToUnderlyingConnectionAllowed, isAlternateUsernameAllowed, isDefaultAutoCommit, isDefaultReadOnly, isFairQueue, isJmxEnabled, isLogAbandoned, isPoolSweeperEnabled, isRemoveAbandoned, isTestOnBorrow, isTestOnConnect, isTestOnReturn, isTestWhileIdle, isUseEquals, setAbandonWhenPercentageFull, setAccessToUnderlyingConnectionAllowed, setAlternateUsernameAllowed, setCommitOnReturn, setConnectionProperties, setDataSource, setDataSourceJNDI, setDbProperties, setDefaultAutoCommit, setDefaultCatalog, setDefaultReadOnly, setDefaultTransactionIsolation, setDriverClassName, setFairQueue, setInitialSize, setInitSQL, setJdbcInterceptors, setJmxEnabled, setLogAbandoned, setLogValidationErrors, setMaxActive, setMaxAge, setMaxIdle, setMaxWait, setMinEvictableIdleTimeMillis, setMinIdle, setName, setNumTestsPerEvictionRun, setPassword, setPropagateInterruptState, setRemoveAbandoned, setRemoveAbandonedTimeout, setRollbackOnReturn, setSuspectTimeout, setTestOnBorrow, setTestOnConnect, setTestOnReturn, setTestWhileIdle, setTimeBetweenEvictionRunsMillis, setUrl, setUseDisposableConnectionFacade, setUseEquals, setUseLock, setUsername, setValidationInterval, setValidationQuery, setValidator, setValidatorClassName`

Methods inherited from interface javax.sql.ConnectionPoolDataSource
`getPooledConnection, getPooledConnection`

Constructor Detail

### XADataSource

    public XADataSource()

  Constructor for reflection only. A default set of pool properties will be created.

### XADataSource

    public XADataSource(PoolConfiguration poolProperties)

  Constructs a DataSource object wrapping a connection

  Parameters:
    `poolProperties` -

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.